import Vue from 'vue'
import Router from 'vue-router'
import SeriesList from './views/SeriesList.vue'
import VolumeList from './views/VolumeList.vue'
import Reader from './views/Reader.vue'

Vue.use(Router)

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'series-list',
      component: SeriesList
    },
    {
      path: '/series/:id',
      name: 'volume-list',
      component: VolumeList
    },
    {
      path: '/volume/:id',
      name: 'reader',
      component: Reader
    }
  ]
})
